#!/bin/sh
resetflag=/tmp/.resetsucc
script_rc_app=/ysdisk/support/rc_app.sh
script_add=/bin/add.sh
echo 'read rc.local.app'
/ysbin/ysinit > /dev/null &
sleep 2
/ysbin/initpdt > /dev/null &
/ysbin/mypbxwatch > /dev/null &
/ysbin/dnspool > /dev/null &
grep "mysql" /etc/passwd || echo "mysql:x:64001:64001:MySQL Server:/var/lib/mysql:/bin/bash" >>/etc/passwd
rm /ysdisk/var/run/mysqld/mysqld.pid > /dev/null 
sh /etc/init.d/mysqld start
/ysbin/firmwareupgrade.sh boot
/ysbin/syscore -c
if [ -f /ysdisk/etc/forcepreinstall ];then
	/ysbin/syscore -u
#给eventcenter用的升级成功提示标志文件
	touch /ysdisk/imageupdate/installok
#
fi
if [ ! -d /ysdisk/rcstop ];then
	mkdir /ysdisk/rcstop
fi
/ysbin/operlog -c
/ysbin/app_preinstall.sh
/ysbin/sound_preinstall.sh
if [ -f $script_rc_app ];then
	sh $script_rc_app
else
	echo "#!/bin/sh" > $script_rc_app
	chmod 777 $script_rc_app
fi
/ysbin/syscore -b
/ysbin/operlog -b
if [ -f $resetflag ];then
	/ysbin/syscore -r
fi
chmod 751 -R /ysdisk/ysapps/*
chmod 755 /ysdisk/ysapps
chmod 775 ./ysdisk
chmod 777 -R ./ysdisk/syslog
/ysbin/app_boot.sh
/ysbin/systimetask > /dev/null &
/ysbin/devicefound > /dev/null &
if [ ! -s /ysdisk/support/customcfg/extensions_support.conf ]
then
    echo "" > /ysdisk/support/customcfg/extensions_support.conf
    chown 223:223 /ysdisk/support/customcfg/extensions_support.conf
#	chmod o+w /ysdisk/support/customcfg/extensions_support.conf
fi
/ysdisk/support/bin/cmdcore >/dev/null &
#if reset,reset success utils now,avoid power off when reset boot
/etc/init.d/pbxreset delflag
if [ -f /ysdisk/etc/mysql_system_tables_data.sql ];then
	rm /ysdisk/etc/mysql_system_tables_data.sql
fi

if [ -f $resetflag ];then
	rm $resetflag
fi
if [ -f $script_add ];then
#	su - support -c $script_add &
	$script_add &
fi
#start heartbeat 
/ysbin/heartbeat > /dev/null &
#start crond
cronpath="/ysdisk/var/spool/cron/crontabs"
if [ ! -d $cronpath ]; then
	mkdir -p $cronpath
	touch $cronpath/ls@yf
elif [ ! -f $cronpath/ls@yf ]; then
	touch $cronpath/ls@yf
fi
/usr/sbin/crond -b -c $cronpath

echo 'end rc.local.app'
